org.apache.ignite.internal.commandline.property.tasks

## Class PropertiesListTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VoidDto,PropertiesListResult,PropertiesListResult>
  - - org.apache.ignite.internal.commandline.property.tasks.PropertiesListTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VoidDto>,PropertiesListResult>

    @GridInternal
    public class PropertiesListTask
    extends VisorMultiNodeTask<VoidDto,PropertiesListResult,PropertiesListResult>

Task for property operations.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesListTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VoidDto,PropertiesListResult>` `job(VoidDto arg)`
`protected @Nullable PropertiesListResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesListTask

    public PropertiesListTask()

### Method Detail

#### job

    protected VisorJob<VoidDto,PropertiesListResult> job(VoidDto arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VoidDto,PropertiesListResult,PropertiesListResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable PropertiesListResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VoidDto,PropertiesListResult,PropertiesListResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022